aboutsummaryrefslogtreecommitdiff
path: root/pdebuild-uml-checkparams
diff options
context:
space:
mode:
authordancer <dancer>2005-06-04 03:13:28 +0000
committerdancer <dancer>2005-06-04 03:13:28 +0000
commit4e9f6235067ad2f9b7b0d0810dbd38d449328b0d (patch)
tree04fe599eba4206a0f5564e5c7ed09e3b45474a57 /pdebuild-uml-checkparams
parent4babd977aaa314d2417d4178788d3bf4c2acf247 (diff)
downloadpbuilder-4e9f6235067ad2f9b7b0d0810dbd38d449328b0d.tar
pbuilder-4e9f6235067ad2f9b7b0d0810dbd38d449328b0d.tar.gz
pdebuild now checks for unsupported options.
+ * debian/pbuilder-uml.files: move to uml. + * Makefile: install + * pdebuild-user-mode-linux: use pdebuild-uml-checkparams + + * pdebuild-uml-checkparams: add --debsign-k + + * pbuilder-uml-checkparams: pdebuild options remove. + + * pdebuild-uml-checkparams: --buildresult + + * pdebuild.1: add --logfile option to documentation. + + * pdebuild-checkparams: --logfile option implemented for pdebuild. + + * Makefile (install): install + + * pdebuild: use pdebuild-checkparams instead. + + * pbuilder-checkparams: split + * pdebuild-checkparams: new file. +
Diffstat (limited to 'pdebuild-uml-checkparams')
-rw-r--r--pdebuild-uml-checkparams90
1 files changed, 90 insertions, 0 deletions
diff --git a/pdebuild-uml-checkparams b/pdebuild-uml-checkparams
new file mode 100644
index 0000000..4a5f497
--- /dev/null
+++ b/pdebuild-uml-checkparams
@@ -0,0 +1,90 @@
+#! /bin/bash
+# pbuilder-user-mode-linux -- personal Debian package builder
+# Copyright (C) 2005 Junichi Uekawa
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+# load and check params.
+# requires
+# . /usr/lib/pbuilder/pbuilder-loadconfig
+
+for SYSTEM_CONFIG in /usr/share/pbuilder/pbuilder-uml.conf /etc/pbuilder/pbuilder-uml.conf ${HOME}/.pbuilderrc; do
+ if [ -f ${SYSTEM_CONFIG} ]; then
+ . ${SYSTEM_CONFIG}
+ fi
+done
+
+PBUILDER_COW=""
+UML_EXTRAOPT=
+UML_DEBUGMODE=
+UML_EXECUTE_EXTRAOPT=
+UML_LOGIN_NOCOW=
+
+while [ -n "$1" ] ; do
+ case "$1" in
+ --logfile)
+ exec > "$2";
+ exec 2>&1
+ shift;shift;;
+ --auto-debsign)
+ AUTO_DEBSIGN="yes"
+ shift;
+ ;;
+ --buildsourceroot*)
+ BUILDSOURCEROOTCMD="$2";
+ shift; shift;
+ ;;
+ --configfile)
+ . "$2"
+ shift; shift;;
+ --pbuilderroot*)
+ PBUILDERROOTCMD="$2";
+ shift; shift;
+ ;;
+ --debsign-k)
+ DEBSIGN_KEYID="$2"
+ shift; shift;
+ ;;
+ --use-pdebuild-internal)
+ USE_PDEBUILD_INTERNAL=yes;
+ shift;
+ ;;
+ --debbuildopts)
+ DEBBUILDOPTS="$2";
+ shift; shift;
+ ;;
+ --buildresult)
+ # ignore buildresult
+ if [ -d "$2" ]; then
+ UML_BUILDRESULT=$(readlink -f "$2")
+ else
+ echo "E: Directory $2 does not exist" >&2
+ exit 1
+ fi
+ shift; shift;;
+ ## end pdebuild options
+ --)
+ shift;
+ break;
+ ;;
+ --*)
+ echo "Error: Unknown option [$1] was specified " >&2
+ exit 1;
+ ;;
+ *)
+ break;
+ ;;
+ esac
+done